module seven_seg_dec(inBcd, outDec);

	input [3:0] inBcd;
	output [6:0] outDec;
	
	reg [6:0] outDecBuff;
	
	// Active Low
	//  - 0 -
	// |     |
	// 5     1
	// |     |
	//  - 6 -
	// |     |
	// 4     2
	// |     |
	//  - 3 -
	
	always @(*) begin
		case(inBcd)
			4'b0000 : outDecBuff = 7'b0111111;
			4'b0001 : outDecBuff = 7'b0000110;
			4'b0010 : outDecBuff = 7'b1011011;
			4'b0011 : outDecBuff = 7'b1001111;
			4'b0100 : outDecBuff = 7'b1100110;
			4'b0101 : outDecBuff = 7'b1101101;
			4'b0110 : outDecBuff = 7'b1111101;
			4'b0111 : outDecBuff = 7'b0000111;
			4'b1000 : outDecBuff = 7'b1111111;
			4'b1001 : outDecBuff = 7'b1101111;
			default : outDecBuff = 7'b0111111;
		endcase
	end

	assign outDec = ~outDecBuff;
	
endmodule
